RARUN2(1)

NAME
rarun2 - radare2 utility to run programs in exotic environments

  SYNOPSIS

  DESCRIPTION
This program is used as a launcher for running programs with different environment, arguments, permissions, directories and overridden default filedescriptors. The program just accepts a single argument which is the filename of the configuration file to run the program. It is useful when you have to run a program using long arguments or pass long data to stdin or things like that usually required for exploiting crackmes :)

  DIRECTIVES
The rr2 (rarun2) configuration file accepts the following directives, described as key=value entries and comments defined as lines starting with '#'. path to program to be executed select file to replace stdout file descriptor select file to read data from stdin set string to be passed to the program via stdin change directory before executing the program run the program in chroot. requires some previous setup preload a library (not supported on Windows, only linux,osx,bsd) set process uid set effective process uid set process group id set effective process group id set value for given environment variable set value for argument N passed to the program

  EXAMPLES
Sample rarun2 script
  $ cat foo.rr2
  #!/usr/bin/rarun2
  program=./pp400
  arg0=10
  stdin=foo.txt
  chdir=/tmp
  #chroot=.
  ./foo.rr2 Connecting a program to a socket
  $ nc -l 9999
  $ rarun2 program=/bin/ls connect=localhost:9999 Debugging a program redirecting io to another terminal
  ## open a new terminal and type 'tty' to get
  $ tty ; clear ; sleep 999999
  /dev/ttyS010
  ## in another terminal run r2
  $ r2 -d rarun2 program=/bin/ls stdio=/dev/ttys010

  SEE ALSO

  AUTHORS
Written by pancake <pancake@nopcode.org>